%define upstream_name    IPC-Run3
%define upstream_version 0.045

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Run a subprocess in batch mode (a la system)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.310.0
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
IPC::Run3 allows you run and interact with child processes using files,
pipes, and pseudo-ttys. Both system()-style and scripted usages are
supported and may be mixed. Likewise, functional and OO API styles are
both supported and may be mixed. 

Various redirection operators reminiscent of those seen on common Unix
and DOS command lines are provided. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's#/usr/local/bin/#%{_bindir}/#' bin/run3profpp

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std
mkdir -p %{buildroot}/%{_bindir}
cp bin/* %{buildroot}/%{_bindir}
chmod 0755 %{buildroot}/%{_bindir}/*

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/IPC
%{_mandir}/*/*
%{_bindir}/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.45.0-2.mga3
+ Revision: 368643
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 04 2012 jquelin <jquelin> 0.45.0-1.mga2
+ Revision: 190321
- update to 0.045

* Wed Jan 19 2011 jquelin <jquelin> 0.44.0-1.mga1
+ Revision: 24374
- fix specs
- imported package perl-IPC-Run3

